Bug 361911 - typo in hdparm man file "-S" option description in middle of "-s"
typo in hdparm man file "-S" option description in middle of "-s"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hdparm (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 10:50 EDT by Tim
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 7.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 10:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim 2007-11-01 10:50:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
The hdparm man file description for what the "-S" option does is joined with the "-s" option description, rather than being a separate section of its own.

Version-Release number of selected component (if applicable):
hdparm-6.9-3

How reproducible:
Always


Steps to Reproduce:
1. man hdparm
2.
3.

Actual Results:
The description for how to use the -S option is merged into the prior -s option description.  Paste of it supplied, with a bit of the man file before and after the -s/-S sections.

       -R     Register an IDE interface.  Dangerous.  See the  -U  option  for
              more information.

       -s     Enable/disable  the power-on in standby feature, if supported by
              the drive. If enabled, the drive is powered-up  in  the  standby
              mode to allow the controller to sequence the spin-up of devices.
              This feature is usually disabled and the drive is powered-up  in
              the  active  mode  (see  -C  above).  Note that a drive may also
              allow to enable this feature by a jumper.  Some SATA drives sup-
              port  the  control  of  this feature by pin 11 of the SATA power
              connector. In these cases, this command may  be  unsupported  or
              may  have  no effect.  -S Set the standby (spindown) timeout for
              the drive.  This value is used by the  drive  to  determine  how
              long  to  wait  (with  no  disk activity) before turning off the
              spindle motor to save  power.   Under  such  circumstances,  the
              drive  may take as long as 30 seconds to respond to a subsequent
              disk access, though most drives are much quicker.  The  encoding
              of  the  timeout  value  is  somewhat peculiar.  A value of zero
              means "timeouts are disabled": the device will not automatically
              enter standby mode.  Values from 1 to 240 specify multiples of 5
              seconds, yielding timeouts from 5 seconds to 20 minutes.  Values
              from 241 to 251 specify from 1 to 11 units of 30 minutes, yield-
              ing timeouts from 30 minutes to 5.5 hours.  A value of 252  sig-
              nifies  a  timeout  of 21 minutes. A value of 253 sets a vendor-
              defined timeout period between 8 and 12 hours, and the value 254
              is  reserved.  255 is interpreted as 21 minutes plus 15 seconds.
              Note that some older drives may have very different  interpreta-
              tions of these values.

       -T     Perform timings of cache reads for benchmark and comparison pur-
              poses.   For  meaningful  results,  this  operation  should   be
              repeated  2-3  ti

Expected Results:
Separate sections for each option.

Additional info:
Comment 1 Penelope Fudd 2007-11-04 01:43:15 EST
At line 314 in the file /usr/share/man/man8/hdparm.8.gz, insert a line that says
'.TP' just before the line that says '.I -S'.

Comment 2 Karsten Hopp 2007-11-05 05:15:00 EST
There's an updated package for hdparm-7.7-1.fc7 in the buildsystem, it just
isn't released yet. This will fix this issue.
Comment 3 Fedora Update System 2007-11-05 10:05:22 EST
hdparm-7.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.